com.smartxls

## Class DataValidation

- java.lang.Object
- - com.smartxls.DataValidation

-     public class DataValidation
      extends java.lang.Object

  This class contains the DataValidation API.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `eAny`
    `static int` | `eBetween`
    `static int` | `eDate`
    `static int` | `eDecimal`
    `static int` | `eEqual`
    `static int` | `eFormula`
    `static int` | `eGreater`
    `static int` | `eGreaterOrEqual`
    `static int` | `eInfo`
    `static int` | `eInteger`
    `static int` | `eLess`
    `static int` | `eLessOrEqual`
    `static int` | `eNotBetween`
    `static int` | `eNotEqual`
    `static int` | `eStop`
    `static int` | `eTextLength`
    `static int` | `eTime`
    `static int` | `eUser`
    `static int` | `eWarning`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorBoxText()` the error box text
    `java.lang.String` | `getErrorBoxTitle()` return the error box title
    `int` | `getErrorStyle()` error style stop`eStop` warning info
    `java.lang.String` | `getFormula1()` the first formula
    `java.lang.String` | `getFormula2()` the second formula
    `int` | `getOperator()` dv opertor between`eBetween` notbetween equal notequal greater less greaterorequal lessorequal
    `java.lang.String` | `getPromtBoxText()` return the promt box text
    `java.lang.String` | `getPromtBoxTitle()` return the title of the dv's promt box
    `int` | `getType()` type any`eAny` integer decimal user date time textlength formula
    `boolean` | `isAllowBlank()` return whether the data validation allows the use of empty or blank entries
    `boolean` | `isEmpty()`
    `boolean` | `isShowDropDown()`
    `boolean` | `isShowErrorMessage()`
    `boolean` | `isShowInputMessage()`
    `void` | `setAllowBlank(boolean v)` set whether the data validation allows the use of empty or blank entries
    `void` | `setErrorBoxText(java.lang.String errorBoxText)` set dv's error box text
    `void` | `setErrorBoxTitle(java.lang.String errorBoxTitle)` the dv's error box title
    `void` | `setErrorStyle(int errorStyle)` set the dv error style stop`eStop` warning info
    `void` | `setFormula1(java.lang.String text)` set the first formula
    `void` | `setFormula2(java.lang.String text)` set the second formula
    `void` | `setOperator(int operator)` set the dv operator between`eBetween` notbetween equal notequal greater less greaterorequal lessorequal
    `void` | `setPromtBoxText(java.lang.String promtBoxText)` set the dv's promt box text
    `void` | `setPromtBoxTitle(java.lang.String promtBoxTitle)` set the title of the dv's promt box
    `void` | `setShowDropDown(boolean v)`
    `void` | `setShowErrorMessage(boolean v)`
    `void` | `setShowInputMessage(boolean v)`
    `void` | `setType(int dataType)` set the data validation type any`eAny` integer decimal user date time textlength formula

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### eAny

          public static int eAny

    - #### eInteger

          public static int eInteger

    - #### eDecimal

          public static int eDecimal

    - #### eUser

          public static int eUser

    - #### eDate

          public static int eDate

    - #### eTime

          public static int eTime

    - #### eTextLength

          public static int eTextLength

    - #### eFormula

          public static int eFormula

    - #### eStop

          public static int eStop

    - #### eWarning

          public static int eWarning

    - #### eInfo

          public static int eInfo

    - #### eBetween

          public static int eBetween

    - #### eNotBetween

          public static int eNotBetween

    - #### eEqual

          public static int eEqual

    - #### eNotEqual

          public static int eNotEqual

    - #### eGreater

          public static int eGreater

    - #### eLess

          public static int eLess

    - #### eGreaterOrEqual

          public static int eGreaterOrEqual

    - #### eLessOrEqual

          public static int eLessOrEqual

  - ### Method Detail

    - #### getType

          public int getType()

      type any`eAny` integer decimal user date time textlength formula
      Returns:
        dv type

    - #### setType

          public void setType(int dataType)

      set the data validation type any`eAny` integer decimal user date time textlength formula
      Parameters:
        `dataType` - type

    - #### getOperator

          public int getOperator()

      dv opertor between`eBetween` notbetween equal notequal greater less greaterorequal lessorequal
      Returns:
        operator

    - #### setOperator

          public void setOperator(int operator)

      set the dv operator between`eBetween` notbetween equal notequal greater less greaterorequal lessorequal
      Parameters:
        `operator` - op

    - #### getErrorStyle

          public int getErrorStyle()

      error style stop`eStop` warning info
      Returns:
        error style

    - #### setErrorStyle

          public void setErrorStyle(int errorStyle)

      set the dv error style stop`eStop` warning info
      Parameters:
        `errorStyle` - error style

    - #### getFormula1

          public java.lang.String getFormula1()

      the first formula
      Returns:
        formula

    - #### setFormula1

          public void setFormula1(java.lang.String text)
                           throws SXException

      set the first formula
      Parameters:
        `text` - formula content
      Throws:
        `SXException` - invalid formula

    - #### getFormula2

          public java.lang.String getFormula2()

      the second formula
      Returns:
        formula

    - #### setFormula2

          public void setFormula2(java.lang.String text)
                           throws SXException

      set the second formula
      Parameters:
        `text` - formula content
      Throws:
        `SXException` - invalid formula

    - #### getErrorBoxText

          public java.lang.String getErrorBoxText()

      the error box text
      Returns:
        error box text

    - #### setErrorBoxText

          public void setErrorBoxText(java.lang.String errorBoxText)

      set dv's error box text
      Parameters:
        `errorBoxText` - error box text

    - #### getErrorBoxTitle

          public java.lang.String getErrorBoxTitle()

      return the error box title
      Returns:
        error box title

    - #### setErrorBoxTitle

          public void setErrorBoxTitle(java.lang.String errorBoxTitle)

      the dv's error box title
      Parameters:
        `errorBoxTitle` - title

    - #### getPromtBoxText

          public java.lang.String getPromtBoxText()

      return the promt box text
      Returns:
        promt box text

    - #### setPromtBoxText

          public void setPromtBoxText(java.lang.String promtBoxText)

      set the dv's promt box text
      Parameters:
        `promtBoxText` - text

    - #### getPromtBoxTitle

          public java.lang.String getPromtBoxTitle()

      return the title of the dv's promt box
      Returns:
        title

    - #### setPromtBoxTitle

          public void setPromtBoxTitle(java.lang.String promtBoxTitle)

      set the title of the dv's promt box
      Parameters:
        `promtBoxTitle` - title

    - #### isAllowBlank

          public boolean isAllowBlank()

      return whether the data validation allows the use of empty or blank entries
      Returns:
        true allow

    - #### setAllowBlank

          public void setAllowBlank(boolean v)

      set whether the data validation allows the use of empty or blank entries
      Parameters:
        `v` - true allow

    - #### isShowErrorMessage

          public boolean isShowErrorMessage()

    - #### setShowErrorMessage

          public void setShowErrorMessage(boolean v)

    - #### isShowInputMessage

          public boolean isShowInputMessage()

    - #### setShowInputMessage

          public void setShowInputMessage(boolean v)

    - #### isShowDropDown

          public boolean isShowDropDown()

    - #### setShowDropDown

          public void setShowDropDown(boolean v)

    - #### isEmpty

          public boolean isEmpty()